Update application

Beta
Update an application. You can update the `description` and `kind` fields. Requires a [JSON patch](https://datatracker.ietf.org/doc/html/rfc6902) representation of the desired changes to the application. To learn more, read [Updates](https://launchdarkly.com/docs/api#updates).

Authentication

Authorizationstring
API Key authentication via header

Path parameters

applicationKeystringRequiredformat: "string"
The application key

Request

This endpoint expects a list of objects.

Response

Application response
autoAddedboolean
Whether the application was automatically created because it was included in a context when a LaunchDarkly SDK evaluated a feature flag, or was created through the LaunchDarkly UI or REST API.
keystring
The unique identifier of this application
kindenum
To distinguish the kind of application
namestring
The name of the application
flagsobjectOptional
Details about the flags that have been evaluated by the application
_accessobjectOptional
Details on the allowed and denied actions for this application
_versionintegerOptional
Version of the application
creationDatelongOptional
Timestamp of when the application version was created
descriptionstringOptional
The application description
_maintainerobjectOptional
Associated maintainer member or team info for the application

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error